Package com.macrofocus.transform

# Class ComplexOneDScreenTransform

java.lang.Object
com.macrofocus.transform.AbstractMutableOneDScreenTransform
com.macrofocus.transform.ComplexOneDScreenTransform

All Implemented Interfaces:
  `MutableOneDScreenTransform`, `OneDScreenTransform`

public class ComplexOneDScreenTransform extends AbstractMutableOneDScreenTransform
Default implementation of a OneDScreenTransform.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexOneDScreenTransform(BoundedInterval world, int screenSize)`
  `ComplexOneDScreenTransform(BoundedInterval world, int screenSize, boolean invertDeviceCoordinates, boolean invertWorldCoordinates)`
  `ComplexOneDScreenTransform(BoundedInterval world, int x1, int x2)`
  `ComplexOneDScreenTransform(BoundedInterval world, int x1, int x2, boolean invertDeviceCoordinates, boolean invertWorldCoordinates)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getScreenSize()`
  `Interval`
  `getWorldInterval()`
  `double`
  `getWorldMax()`
  `double`
  `getWorldMin()`
  `double`
  `getWorldRange()`
  `boolean`
  `isAffine()`
  `boolean`
  `isWorldCoordinatesInverted()`
  `double`
  `screenToWorld(int screen)`
  `void`
  `setScreenMargins(int screenMargins)`
  `void`
  `setScreenSize(int screenSize)`
  `void`
  `setWorldInterval(BoundedInterval world)`
  `String`
  `toString()`
  `int`
  `worldToScreen(double world)`
  `double`
  `worldToScreenPrecise(double world)`

  ### Methods inherited from class com.macrofocus.transform.AbstractMutableOneDScreenTransform

  `addScreenTransformListener, addWeakScreenTransformListener, notifyTransformChanged, removeScreenTransformListener, removeScreenTransformListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComplexOneDScreenTransform

    public ComplexOneDScreenTransform(BoundedInterval world, int x1, int x2)

  - ### ComplexOneDScreenTransform

    public ComplexOneDScreenTransform(BoundedInterval world, int screenSize)

  - ### ComplexOneDScreenTransform

    public ComplexOneDScreenTransform(BoundedInterval world, int screenSize, boolean invertDeviceCoordinates, boolean invertWorldCoordinates)

  - ### ComplexOneDScreenTransform

    public ComplexOneDScreenTransform(BoundedInterval world, int x1, int x2, boolean invertDeviceCoordinates, boolean invertWorldCoordinates)

- ## Method Details

  - ### screenToWorld

    public double screenToWorld(int screen)

  - ### worldToScreen

    public int worldToScreen(double world)

  - ### worldToScreenPrecise

    public double worldToScreenPrecise(double world)

  - ### getWorldInterval

    public Interval getWorldInterval()

  - ### setWorldInterval

    public void setWorldInterval(BoundedInterval world)

  - ### getScreenSize

    public int getScreenSize()

  - ### isAffine

    public boolean isAffine()

  - ### getWorldMin

    public double getWorldMin()

  - ### getWorldMax

    public double getWorldMax()

  - ### getWorldRange

    public double getWorldRange()

  - ### isWorldCoordinatesInverted

    public boolean isWorldCoordinatesInverted()

  - ### setScreenSize

    public void setScreenSize(int screenSize)

  - ### setScreenMargins

    public void setScreenMargins(int screenMargins)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`